%
% FUNCTION 2.3 : "cp0201_TH"
%
% Generates a pseudorandom TH code
% with periodicity 'Np' and cardinality 'Nh'
%
% Programmed by Guerino Giancola
%

function [THcode]=cp0201_TH(Nh,Np);

% ------------------------------------
% Step One - Generation of the TH code
% ------------------------------------
%rand ( 'state', macadr)
THcode = floor(rand(1,Np).*Nh);